Print Friendly

# Class YAHOO.widget.Slider

Package: | YAHOO.widget
Class: | Slider
Extends: | DragDrop
Defined In: | slider.js

A DragDrop implementation that can be used as a background for a slider. It takes a reference to the thumb instance so it can delegate some of the events to it. The goal is to make the thumb jump to the location on the background when the background is clicked.

## Public Properties

Property | Defined By
--- | ---
| ANIM_AVAIL<static> : boolean | Slider
<static> By default, animation is available if the animation library is detected.
| animate : boolean | Slider
Flag that determines if the thumb will animate when moved
| animationDuration : int | Slider
If animation is configured, specifies the length of the animation in seconds.
| available : boolean | DragDrop
The availabe property is false until the linked dom element is accessible.
| backgroundEnabled : boolean | Slider
Set to false to disable a background click thumb move
| baselinePos : [int, | Slider
The basline position of the background element, used to determine if the background has moved since the last operation.
| config : object | DragDrop
Configuration attributes passed into the constructor
| enableKeys : boolean | Slider
Enables the arrow, home and end keys, defaults to true.
| groups : string: | DragDrop
The group defines a logical collection of DragDrop objects that are related. Instances only get events when interact...
| hasOuterHandles : boolean | DragDrop
By default, drags can only be initiated if the mousedown occurs in the region the linked element is. This is done in...
| id : String | DragDrop
The id of the element associated with this object. This is what we refer to as the "linked element" because the size...
| invalidHandleClasses : string[] | DragDrop
An indexted array of css class names for elements that will be ignored if clicked.
| invalidHandleIds : string: | DragDrop
An associative array of ids for elements that will be ignored if clicked
| invalidHandleTypes : string: | DragDrop
An associative array of HTML tags that will be ignored if clicked.
| keyIncrement : int | Slider
Specifies the number of pixels the arrow keys will move the slider. Default is 25.
| maintainOffset : boolean | DragDrop
Maintain offsets when we resetconstraints. Set to true when you want the position of the element relative to its par...
| moveComplete : Boolean | Slider
moveComplete is set to true when the slider has moved to its final destination. For animated slider, this value can ...
| primaryButtonOnly : boolean | DragDrop
By default the drag and drop instance will only respond to the primary button click (left button for a right-handed m...
| thumb : YAHOO.widget.SliderThumb | Slider
A YAHOO.widget.SliderThumb instance that we will use to reposition the thumb when the background is clicked
| thumbCenterPoint : "x": | Slider
The center of the slider element is stored so we can position place it in the correct position when the background i...
| tickPause : int | Slider
Adjustment factor for tick animation, the more ticks, the faster the animation (by default)
| type : string | Slider
The type of the slider (horiz, vert, region)
| xTicks : int[] | DragDrop
Array of pixel locations the element will snap to if we specified a horizontal graduation/interval. This array is ge...
| yTicks : int[] | DragDrop
Array of pixel locations the element will snap to if we specified a vertical graduation/interval. This array is gene...

## Public Methods

Method | Defined By
--- | ---
| Slider(`String id`, `String sGroup`, `String sType`) | Slider
| addInvalidHandleClass(`string cssClass`) : void | DragDrop
Lets you specify a css class of elements that will not initiate a drag
| addInvalidHandleId(`string id`) : void | DragDrop
Lets you to specify an element id for a child of a drag handle that should not initiate a drag
| addInvalidHandleType(`string tagName`) : void | DragDrop
Allows you to specify a tag name that should not start a drag operation when clicked. This is designed to facilitate...
| addToGroup(`sGroup {string}`) : void | DragDrop
Add this instance to a group of related drag/drop objects. All instances belong to at least one group, and can belon...
| applyConfig() : void | DragDrop
Applies the configuration parameters that were passed into the constructor. This is supposed to happen at each level ...
| clearConstraints() : void | DragDrop
Clears any constraints applied to this instance. Also clears ticks since they can't exist independent of a constrain...
| clearTicks() : void | DragDrop
Clears any tick interval defined for this instance
| endDrag(`Event e`) : void | DragDrop
Fired when we are done dragging the object
| getDragEl() : HTMLElement | DragDrop
Returns a reference to the actual element to drag. By default this is the same as the html element, but it can be as...
| getEl() : HTMLElement | DragDrop
Returns a reference to the linked element
| getHorizSlider<static>(`String sBGElId`, `String sHandleElId`, `int iLeft`, `int iRight`, `int iTickSize`) : Slider | Slider
<static> Factory method for creating a horizontal slider
| getSliderRegion<static>(`String sBGElId`, `String sHandleElId`, `int iLeft`, `int iRight`, `int iUp`, `int iDown`, `int iTickSize`) : Slider | Slider
<static> Factory method for creating a slider region like the one in the color picker example
| getThumb() : SliderThumb | Slider
Returns a reference to this slider's thumb
| getValue() : int | Slider
Returns the slider's thumb offset from the start position
| getVertSlider<static>(`String sBGElId`, `String sHandleElId`, `int iUp`, `int iDown`, `int iTickSize`) : Slider | Slider
<static> Factory method for creating a vertical slider
| getXValue() : int | Slider
Returns the slider's thumb X offset from the start position
| getYValue() : int | Slider
Returns the slider's thumb Y offset from the start position
| init(`id the`, `String sGroup`, `object config`) : void | DragDrop
Sets up the DragDrop object. Must be called in the constructor of any YAHOO.util.DragDrop subclass
| initTarget(`id the`, `String sGroup`, `object config`) : void | DragDrop
Initializes Targeting functionality only... the object does not get a mousedown handler.
| isLocked() : boolean | DragDrop
Returns true if this instance is locked, or the drag drop mgr is locked (meaning that all drag/drop is disabled on th...
| isTarget() : void | DragDrop
By default, all insances can be a drop target. This can be disabled by setting isTarget to false.
| isValidHandleChild(`HTMLElement node`) : boolean | DragDrop
Checks the tag exclusion list to see if this click should be ignored
| lock() : void | Slider
Locks the slider, overrides YAHOO.util.DragDrop
| onAvailable() : void | DragDrop
Override the onAvailable method to do what is needed after the initial position was determined.
| onChange(`int firstOffset`, `int secondOffset`) : void | Slider
Deprecated. Event that fires when the value of the slider has changed
| onDrag(`Event e`) : void | DragDrop
Abstract method called during the onMouseMove event while dragging an object.
| onDragDrop(`Event e`, `String|DragDrop[] id`) : void | DragDrop
Abstract method called when this item is dropped on another DragDrop obj
| onDragEnter(`Event e`, `String|DragDrop[] id`) : void | DragDrop
Abstract method called when this element fist begins hovering over another DragDrop obj
| onDragOut(`Event e`, `String|DragDrop[] id`) : void | DragDrop
Abstract method called when we are no longer hovering over an element
| onDragOver(`Event e`, `String|DragDrop[] id`) : void | DragDrop
Abstract method called when this element is hovering over another DragDrop obj
| onInvalidDrop(`Event e`) : void | DragDrop
Abstract method called when this item is dropped on an area with no drop target
| onMouseDown(`Event e`) : void | DragDrop
Event handler that fires when a drag/drop obj gets a mousedown
| onMouseUp(`Event e`) : void | DragDrop
Event handler that fires when a drag/drop obj gets a mouseup
| onSlideStart() : void | Slider
Deprecated. Event that fires when the at the beginning of the slider thumb move
| onSliderEnd() : void | Slider
Deprecated. Event that fires at the end of a slider thumb move
| padding() : void | DragDrop
The padding configured for this drag and drop object for calculating the drop zone intersection with this object.
| removeFromGroup(`string sGroup`) : void | DragDrop
Remove's this instance from the supplied interaction group
| removeInvalidHandleClass(`string cssClass`) : void | DragDrop
Unsets an invalid css class
| removeInvalidHandleId(`string id`) : void | DragDrop
Unsets an invalid handle id
| removeInvalidHandleType(`string tagName`) : void | DragDrop
Unsets an excluded tag name set by addInvalidHandleType
| resetConstraints(`boolean maintainOffset`) : void | DragDrop
resetConstraints must be called if you manually reposition a dd element.
| setDragElId(`id {string}`) : void | DragDrop
Allows you to specify that an element other than the linked element will be moved with the cursor during a drag
| setHandleElId(`id {string}`) : void | DragDrop
Allows you to specify a child of the linked element that should be used to initiate the drag operation. An example o...
| setInitialPosition(`int diffX`, `int diffY`) : void | DragDrop
Stores the initial placement of the linked element.
| setOuterHandleElId(`id the`) : void | DragDrop
Allows you to set an element outside of the linked element as a drag handle
| setPadding(`int iTop`, `int iRight`, `int iBot`, `int iLeft`) : void | DragDrop
Configures the padding for the target zone in px. Effectively expands (or reduces) the virtual object size for targe...
| setRegionValue(`int newOffset`, `int newOffset2`, `boolean skipAnim`, `boolean force`) : boolean | Slider
Provides a way to set the value of the region slider in code.
| setSliderStartState() : void | Slider
Initialization that sets up the value offsets once the elements are ready
| setThumbCenterPoint() : void | Slider
When the thumb is available, we cache the centerpoint of the element so we can position the element correctly when th...
| setValue(`int newOffset`, `boolean skipAnim`, `boolean force`) : boolean | Slider
Provides a way to set the value of the slider in code.
| setXConstraint(`int iLeft`, `int iRight`, `int iTickSize`) : void | DragDrop
By default, the element can be dragged any place on the screen. Use this method to limit the horizontal travel of th...
| setYConstraint(`int iUp`, `int iDown`, `int iTickSize`) : void | DragDrop
By default, the element can be dragged any place on the screen. Set this to limit the vertical travel of the element...
| startDrag(`int X`, `int Y`) : void | DragDrop
Abstract method called after a drag/drop object is clicked and the drag or mousedown time thresholds have beeen met.
| toString() : string | Slider
Slider toString
| unlock() : void | Slider
Unlocks the slider, overrides YAHOO.util.DragDrop
| unreg() : void | DragDrop
Remove all drag and drop hooks for this element
| verifyOffset() : boolean | Slider
Checks the background position element position. If it has moved from the baseline position, the constraints for the...

## Public Events

Event | Defined By
--- | ---
| change : (`int new`, `int firstOffset`, `int secondOffset`) | Slider
Event the fires when the value of the control changes. If the control is animated the event will fire every point a...
| slideEnd : () | Slider
Event that fires at the end of a slider thumb move
| slideStart : () | Slider
Event that fires at the end of a slider thumb move.

## Property Details

### ANIM_AVAIL<static>

`public boolean ANIM_AVAIL<static>`
<static> By default, animation is available if the animation library is detected.
This property is defined by Slider.

### animate

`public boolean animate`
Flag that determines if the thumb will animate when moved
This property is defined by Slider.

### animationDuration

`public int animationDuration`
If animation is configured, specifies the length of the animation in seconds.
This property is defined by Slider.

### available

`public boolean available`
The availabe property is false until the linked dom element is accessible.
This property is defined by DragDrop.

### backgroundEnabled

`public boolean backgroundEnabled`
Set to false to disable a background click thumb move
This property is defined by Slider.

### baselinePos

`public [int, baselinePos`
The basline position of the background element, used to determine if the background has moved since the last operation.
This property is defined by Slider.

### config

`public object config`
Configuration attributes passed into the constructor
This property is defined by DragDrop.

### enableKeys

`public boolean enableKeys`
Enables the arrow, home and end keys, defaults to true.
This property is defined by Slider.

### groups

`public string: groups`
The group defines a logical collection of DragDrop objects that are related. Instances only get events when interacting with other DragDrop object in the same group. This lets us define multiple groups using a single DragDrop subclass if we want.
This property is defined by DragDrop.

### hasOuterHandles

`public boolean hasOuterHandles`
By default, drags can only be initiated if the mousedown occurs in the region the linked element is. This is done in part to work around a bug in some browsers that mis-report the mousedown if the previous mouseup happened outside of the window. This property is set to true if outer handles are defined.
This property is defined by DragDrop.

### id

`public String id`
The id of the element associated with this object. This is what we refer to as the "linked element" because the size and position of this element is used to determine when the drag and drop objects have interacted.
This property is defined by DragDrop.

### invalidHandleClasses

`public string[] invalidHandleClasses`
An indexted array of css class names for elements that will be ignored if clicked.
This property is defined by DragDrop.

### invalidHandleIds

`public string: invalidHandleIds`
An associative array of ids for elements that will be ignored if clicked
This property is defined by DragDrop.

### invalidHandleTypes

`public string: invalidHandleTypes`
An associative array of HTML tags that will be ignored if clicked.
This property is defined by DragDrop.

### keyIncrement

`public int keyIncrement`
Specifies the number of pixels the arrow keys will move the slider. Default is 25.
This property is defined by Slider.

### maintainOffset

`public boolean maintainOffset`
Maintain offsets when we resetconstraints. Set to true when you want the position of the element relative to its parent to stay the same when the page changes
This property is defined by DragDrop.

### moveComplete

`public Boolean moveComplete`
moveComplete is set to true when the slider has moved to its final destination. For animated slider, this value can be checked in the onChange handler to make it possible to execute logic only when the move is complete rather than at all points along the way.
This property is defined by Slider.

### primaryButtonOnly

`public boolean primaryButtonOnly`
By default the drag and drop instance will only respond to the primary button click (left button for a right-handed mouse). Set to true to allow drag and drop to start with any mouse click that is propogated by the browser
This property is defined by DragDrop.

### thumb

`public YAHOO.widget.SliderThumb thumb`
A YAHOO.widget.SliderThumb instance that we will use to reposition the thumb when the background is clicked
This property is defined by Slider.

### thumbCenterPoint

`public "x": thumbCenterPoint`
The center of the slider element is stored so we can position place it in the correct position when the background is clicked
This property is defined by Slider.

### tickPause

`public int tickPause`
Adjustment factor for tick animation, the more ticks, the faster the animation (by default)
This property is defined by Slider.

### type

`public string type`
The type of the slider (horiz, vert, region)
This property is defined by Slider.

### xTicks

`public int[] xTicks`
Array of pixel locations the element will snap to if we specified a horizontal graduation/interval. This array is generated automatically when you define a tick interval.
This property is defined by DragDrop.

### yTicks

`public int[] yTicks`
Array of pixel locations the element will snap to if we specified a vertical graduation/interval. This array is generated automatically when you define a tick interval.
This property is defined by DragDrop.

## Constructor Details

### Slider

`public function Slider(`String id`, `String sGroup`, `String sType`)`
Parameters:

- `id` : String
  The id of the element linked to this instance
- `sGroup` : String
  The group of related DragDrop items
- `sType` : String
  The type of slider (horiz, vert, region)

## Method Details

### addInvalidHandleClass

`public function addInvalidHandleClass(`string cssClass`)`
Lets you specify a css class of elements that will not initiate a drag
Parameters:

- `cssClass` : string
  the class of the elements you wish to ignore

Returns:

- `void`

This method is defined by DragDrop.

### addInvalidHandleId

`public function addInvalidHandleId(`string id`)`
Lets you to specify an element id for a child of a drag handle that should not initiate a drag
Parameters:

- `id` : string
  the element id of the element you wish to ignore

Returns:

- `void`

This method is defined by DragDrop.

### addInvalidHandleType

`public function addInvalidHandleType(`string tagName`)`
Allows you to specify a tag name that should not start a drag operation when clicked. This is designed to facilitate embedding links within a drag handle that do something other than start the drag.
Parameters:

- `tagName` : string
  the type of element to exclude

Returns:

- `void`

This method is defined by DragDrop.

### addToGroup

`public function addToGroup(`sGroup {string}`)`
Add this instance to a group of related drag/drop objects. All instances belong to at least one group, and can belong to as many groups as needed.
Parameters:

- `{string}` : sGroup
  the name of the group

Returns:

- `void`

This method is defined by DragDrop.

### applyConfig

`public function applyConfig()`
Applies the configuration parameters that were passed into the constructor. This is supposed to happen at each level through the inheritance chain. So a DDProxy implentation will execute apply config on DDProxy, DD, and DragDrop in order to get all of the parameters that are available in each object.
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### clearConstraints

`public function clearConstraints()`
Clears any constraints applied to this instance. Also clears ticks since they can't exist independent of a constraint at this time.
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### clearTicks

`public function clearTicks()`
Clears any tick interval defined for this instance
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### endDrag

`public function endDrag(`Event e`)`
Fired when we are done dragging the object
Parameters:

- `e` : Event
  the mouseup event

Returns:

- `void`

This method is defined by DragDrop.

### getDragEl

`public function getDragEl()`
Returns a reference to the actual element to drag. By default this is the same as the html element, but it can be assigned to another element. An example of this can be found in YAHOO.util.DDProxy
Parameters:

- None.

Returns:

- `HTMLElement`
  the html element

This method is defined by DragDrop.

### getEl

`public function getEl()`
Returns a reference to the linked element
Parameters:

- None.

Returns:

- `HTMLElement`
  the html element

This method is defined by DragDrop.

### getHorizSlider<static>

`public function getHorizSlider<static>(`String sBGElId`, `String sHandleElId`, `int iLeft`, `int iRight`, `int iTickSize`)`
<static> Factory method for creating a horizontal slider
Parameters:

- `sBGElId` : String
  the id of the slider's background element
- `sHandleElId` : String
  the id of the thumb element
- `iLeft` : int
  the number of pixels the element can move left
- `iRight` : int
  the number of pixels the element can move right
- `iTickSize` : int
  optional parameter for specifying that the element should move a certain number pixels at a time.

Returns:

- `Slider`
  a horizontal slider control

This method is defined by Slider.

### getSliderRegion<static>

`public function getSliderRegion<static>(`String sBGElId`, `String sHandleElId`, `int iLeft`, `int iRight`, `int iUp`, `int iDown`, `int iTickSize`)`
<static> Factory method for creating a slider region like the one in the color picker example
Parameters:

- `sBGElId` : String
  the id of the slider's background element
- `sHandleElId` : String
  the id of the thumb element
- `iLeft` : int
  the number of pixels the element can move left
- `iRight` : int
  the number of pixels the element can move right
- `iUp` : int
  the number of pixels the element can move up
- `iDown` : int
  the number of pixels the element can move down
- `iTickSize` : int
  optional parameter for specifying that the element should move a certain number pixels at a time.

Returns:

- `Slider`
  a slider region control

This method is defined by Slider.

### getThumb

`public function getThumb()`
Returns a reference to this slider's thumb
Parameters:

- None.

Returns:

- `SliderThumb`
  this slider's thumb

This method is defined by Slider.

### getValue

`public function getValue()`
Returns the slider's thumb offset from the start position
Parameters:

- None.

Returns:

- `int`
  the current value

This method is defined by Slider.

### getVertSlider<static>

`public function getVertSlider<static>(`String sBGElId`, `String sHandleElId`, `int iUp`, `int iDown`, `int iTickSize`)`
<static> Factory method for creating a vertical slider
Parameters:

- `sBGElId` : String
  the id of the slider's background element
- `sHandleElId` : String
  the id of the thumb element
- `iUp` : int
  the number of pixels the element can move up
- `iDown` : int
  the number of pixels the element can move down
- `iTickSize` : int
  optional parameter for specifying that the element should move a certain number pixels at a time.

Returns:

- `Slider`
  a vertical slider control

This method is defined by Slider.

### getXValue

`public function getXValue()`
Returns the slider's thumb X offset from the start position
Parameters:

- None.

Returns:

- `int`
  the current horizontal offset

This method is defined by Slider.

### getYValue

`public function getYValue()`
Returns the slider's thumb Y offset from the start position
Parameters:

- None.

Returns:

- `int`
  the current vertical offset

This method is defined by Slider.

### init

`public function init(`id the`, `String sGroup`, `object config`)`
Sets up the DragDrop object. Must be called in the constructor of any YAHOO.util.DragDrop subclass
Parameters:

- `the` : id
  id of the linked element
- `sGroup` : String
  the group of related items
- `config` : object
  configuration attributes

Returns:

- `void`

This method is defined by DragDrop.

### initTarget

`public function initTarget(`id the`, `String sGroup`, `object config`)`
Initializes Targeting functionality only... the object does not get a mousedown handler.
Parameters:

- `the` : id
  id of the linked element
- `sGroup` : String
  the group of related items
- `config` : object
  configuration attributes

Returns:

- `void`

This method is defined by DragDrop.

### isLocked

`public function isLocked()`
Returns true if this instance is locked, or the drag drop mgr is locked (meaning that all drag/drop is disabled on the page.)
Parameters:

- None.

Returns:

- `boolean`
  true if this obj or all drag/drop is locked, else false

This method is defined by DragDrop.

### isTarget

`public function isTarget()`
By default, all insances can be a drop target. This can be disabled by setting isTarget to false.
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### isValidHandleChild

`public function isValidHandleChild(`HTMLElement node`)`
Checks the tag exclusion list to see if this click should be ignored
Parameters:

- `node` : HTMLElement
  the HTMLElement to evaluate

Returns:

- `boolean`
  true if this is a valid tag type, false if not

This method is defined by DragDrop.

### lock

`public function lock()`
Locks the slider, overrides YAHOO.util.DragDrop
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### onAvailable

`public function onAvailable()`
Override the onAvailable method to do what is needed after the initial position was determined.
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### onChange

`public function onChange(`int firstOffset`, `int secondOffset`)`
Deprecated. Event that fires when the value of the slider has changed
Parameters:

- `firstOffset` : int
  the number of pixels the thumb has moved from its start position. Normal horizontal and vertical sliders will only have the firstOffset. Regions will have both, the first is the horizontal offset, the second the vertical.
- `secondOffset` : int
  the y offset for region sliders

Returns:

- `void`

This method is defined by Slider.

### onDrag

`public function onDrag(`Event e`)`
Abstract method called during the onMouseMove event while dragging an object.
Parameters:

- `e` : Event
  the mousemove event

Returns:

- `void`

This method is defined by DragDrop.

### onDragDrop

`public function onDragDrop(`Event e`, `String|DragDrop[] id`)`
Abstract method called when this item is dropped on another DragDrop obj
Parameters:

- `e` : Event
  the mouseup event
- `id` : String|DragDrop[]
  In POINT mode, the element id this was dropped on. In INTERSECT mode, an array of dd items this was dropped on.

Returns:

- `void`

This method is defined by DragDrop.

### onDragEnter

`public function onDragEnter(`Event e`, `String|DragDrop[] id`)`
Abstract method called when this element fist begins hovering over another DragDrop obj
Parameters:

- `e` : Event
  the mousemove event
- `id` : String|DragDrop[]
  In POINT mode, the element id this is hovering over. In INTERSECT mode, an array of one or more dragdrop items being hovered over.

Returns:

- `void`

This method is defined by DragDrop.

### onDragOut

`public function onDragOut(`Event e`, `String|DragDrop[] id`)`
Abstract method called when we are no longer hovering over an element
Parameters:

- `e` : Event
  the mousemove event
- `id` : String|DragDrop[]
  In POINT mode, the element id this was hovering over. In INTERSECT mode, an array of dd items that the mouse is no longer over.

Returns:

- `void`

This method is defined by DragDrop.

### onDragOver

`public function onDragOver(`Event e`, `String|DragDrop[] id`)`
Abstract method called when this element is hovering over another DragDrop obj
Parameters:

- `e` : Event
  the mousemove event
- `id` : String|DragDrop[]
  In POINT mode, the element id this is hovering over. In INTERSECT mode, an array of dd items being hovered over.

Returns:

- `void`

This method is defined by DragDrop.

### onInvalidDrop

`public function onInvalidDrop(`Event e`)`
Abstract method called when this item is dropped on an area with no drop target
Parameters:

- `e` : Event
  the mouseup event

Returns:

- `void`

This method is defined by DragDrop.

### onMouseDown

`public function onMouseDown(`Event e`)`
Event handler that fires when a drag/drop obj gets a mousedown
Parameters:

- `e` : Event
  the mousedown event

Returns:

- `void`

This method is defined by DragDrop.

### onMouseUp

`public function onMouseUp(`Event e`)`
Event handler that fires when a drag/drop obj gets a mouseup
Parameters:

- `e` : Event
  the mouseup event

Returns:

- `void`

This method is defined by DragDrop.

### onSlideStart

`public function onSlideStart()`
Deprecated. Event that fires when the at the beginning of the slider thumb move
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### onSliderEnd

`public function onSliderEnd()`
Deprecated. Event that fires at the end of a slider thumb move
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### padding

`public function padding()`
The padding configured for this drag and drop object for calculating the drop zone intersection with this object.
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### removeFromGroup

`public function removeFromGroup(`string sGroup`)`
Remove's this instance from the supplied interaction group
Parameters:

- `sGroup` : string
  The group to drop

Returns:

- `void`

This method is defined by DragDrop.

### removeInvalidHandleClass

`public function removeInvalidHandleClass(`string cssClass`)`
Unsets an invalid css class
Parameters:

- `cssClass` : string
  the class of the element(s) you wish to re-enable

Returns:

- `void`

This method is defined by DragDrop.

### removeInvalidHandleId

`public function removeInvalidHandleId(`string id`)`
Unsets an invalid handle id
Parameters:

- `id` : string
  the id of the element to re-enable

Returns:

- `void`

This method is defined by DragDrop.

### removeInvalidHandleType

`public function removeInvalidHandleType(`string tagName`)`
Unsets an excluded tag name set by addInvalidHandleType
Parameters:

- `tagName` : string
  the type of element to unexclude

Returns:

- `void`

This method is defined by DragDrop.

### resetConstraints

`public function resetConstraints(`boolean maintainOffset`)`
resetConstraints must be called if you manually reposition a dd element.
Parameters:

- `maintainOffset` : boolean

Returns:

- `void`

This method is defined by DragDrop.

### setDragElId

`public function setDragElId(`id {string}`)`
Allows you to specify that an element other than the linked element will be moved with the cursor during a drag
Parameters:

- `{string}` : id
  the id of the element that will be used to initiate the drag

Returns:

- `void`

This method is defined by DragDrop.

### setHandleElId

`public function setHandleElId(`id {string}`)`
Allows you to specify a child of the linked element that should be used to initiate the drag operation. An example of this would be if you have a content div with text and links. Clicking anywhere in the content area would normally start the drag operation. Use this method to specify that an element inside of the content div is the element that starts the drag operation.
Parameters:

- `{string}` : id
  the id of the element that will be used to initiate the drag.

Returns:

- `void`

This method is defined by DragDrop.

### setInitialPosition

`public function setInitialPosition(`int diffX`, `int diffY`)`
Stores the initial placement of the linked element.
Parameters:

- `diffX` : int
  the X offset, default 0
- `diffY` : int
  the Y offset, default 0

Returns:

- `void`

This method is defined by DragDrop.

### setOuterHandleElId

`public function setOuterHandleElId(`id the`)`
Allows you to set an element outside of the linked element as a drag handle
Parameters:

- `the` : id
  id of the element that will be used to initiate the drag

Returns:

- `void`

This method is defined by DragDrop.

### setPadding

`public function setPadding(`int iTop`, `int iRight`, `int iBot`, `int iLeft`)`
Configures the padding for the target zone in px. Effectively expands (or reduces) the virtual object size for targeting calculations. Supports css-style shorthand; if only one parameter is passed, all sides will have that padding, and if only two are passed, the top and bottom will have the first param, the left and right the second.
Parameters:

- `iTop` : int
  Top pad
- `iRight` : int
  Right pad
- `iBot` : int
  Bot pad
- `iLeft` : int
  Left pad

Returns:

- `void`

This method is defined by DragDrop.

### setRegionValue

`public function setRegionValue(`int newOffset`, `int newOffset2`, `boolean skipAnim`, `boolean force`)`
Provides a way to set the value of the region slider in code.
Parameters:

- `newOffset` : int
  the number of pixels the thumb should be positioned away from the initial start point (x axis for region)
- `newOffset2` : int
  the number of pixels the thumb should be positioned away from the initial start point (y axis for region)
- `skipAnim` : boolean
  set to true to disable the animation for this move action (but not others).
- `force` : boolean
  ignore the locked setting and set value anyway

Returns:

- `boolean`
  true if the move was performed, false if it failed

This method is defined by Slider.

### setSliderStartState

`public function setSliderStartState()`
Initialization that sets up the value offsets once the elements are ready
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### setThumbCenterPoint

`public function setThumbCenterPoint()`
When the thumb is available, we cache the centerpoint of the element so we can position the element correctly when the background is clicked
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### setValue

`public function setValue(`int newOffset`, `boolean skipAnim`, `boolean force`)`
Provides a way to set the value of the slider in code.
Parameters:

- `newOffset` : int
  the number of pixels the thumb should be positioned away from the initial start point
- `skipAnim` : boolean
  set to true to disable the animation for this move action (but not others).
- `force` : boolean
  ignore the locked setting and set value anyway

Returns:

- `boolean`
  true if the move was performed, false if it failed

This method is defined by Slider.

### setXConstraint

`public function setXConstraint(`int iLeft`, `int iRight`, `int iTickSize`)`
By default, the element can be dragged any place on the screen. Use this method to limit the horizontal travel of the element. Pass in 0,0 for the parameters if you want to lock the drag to the y axis.
Parameters:

- `iLeft` : int
  the number of pixels the element can move to the left
- `iRight` : int
  the number of pixels the element can move to the right
- `iTickSize` : int
  optional parameter for specifying that the element should move iTickSize pixels at a time.

Returns:

- `void`

This method is defined by DragDrop.

### setYConstraint

`public function setYConstraint(`int iUp`, `int iDown`, `int iTickSize`)`
By default, the element can be dragged any place on the screen. Set this to limit the vertical travel of the element. Pass in 0,0 for the parameters if you want to lock the drag to the x axis.
Parameters:

- `iUp` : int
  the number of pixels the element can move up
- `iDown` : int
  the number of pixels the element can move down
- `iTickSize` : int
  optional parameter for specifying that the element should move iTickSize pixels at a time.

Returns:

- `void`

This method is defined by DragDrop.

### startDrag

`public function startDrag(`int X`, `int Y`)`
Abstract method called after a drag/drop object is clicked and the drag or mousedown time thresholds have beeen met.
Parameters:

- `X` : int
  click location
- `Y` : int
  click location

Returns:

- `void`

This method is defined by DragDrop.

### toString

`public function toString()`
Slider toString
Parameters:

- None.

Returns:

- `string`
  string representation of the instance

This method is defined by Slider.

### unlock

`public function unlock()`
Unlocks the slider, overrides YAHOO.util.DragDrop
Parameters:

- None.

Returns:

- `void`

This method is defined by Slider.

### unreg

`public function unreg()`
Remove all drag and drop hooks for this element
Parameters:

- None.

Returns:

- `void`

This method is defined by DragDrop.

### verifyOffset

`public function verifyOffset()`
Checks the background position element position. If it has moved from the baseline position, the constraints for the thumb are reset
Parameters:

- None.

Returns:

- `boolean`
  True if the offset is the same as the baseline.

This method is defined by Slider.

## Event Details

### change

`public event change`
Event the fires when the value of the control changes. If the control is animated the event will fire every point along the way.
Subscribers will be called with the following parameters:

- `new` : int
- `firstOffset` : int
  the number of pixels the thumb has moved from its start position. Normal horizontal and vertical sliders will only have the firstOffset. Regions will have both, the first is the horizontal offset, the second the vertical.
- `secondOffset` : int
  the y offset for region sliders

This event is defined by Slider.

### slideEnd

`public event slideEnd`
Event that fires at the end of a slider thumb move
Subscribers will be called with the following parameters:

- None.

This event is defined by Slider.

### slideStart

`public event slideStart`
Event that fires at the end of a slider thumb move.
Subscribers will be called with the following parameters:

- None.

This event is defined by Slider.

Copyright © 2006 Jack Slocum. All rights reserved.